Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Destiny3DFormat Class Reference

`#include <Destiny3DExporter.hpp>`

Collaboration diagram for Destiny3DFormat:

[legend]
List of all members.

## Public Member Functions
| Destiny3DFormat ()
virtual | ~Destiny3DFormat ()
| override (ExportFormat) bool Init(bool motion)
| override (ExportFormat) bool SetSceneInfo(const MainDescriptor &maininfo)
| override (ExportFormat) bool ExportCamera(const CameraDescriptor &camera)
| override (ExportFormat) bool ExportController(const ControllerDescriptor &controller)
| override (ExportFormat) bool ExportHelper(const HelperDescriptor &helper)
| override (ExportFormat) bool ExportLight(const LightDescriptor &light)
| override (ExportFormat) bool ExportMaterial(const MaterialDescriptor &material)
| override (ExportFormat) bool ExportMesh(const MeshDescriptor &mesh)
| override (ExportFormat) bool ExportMotion(const MotionDescriptor &motion)
| override (ExportFormat) bool ExportShape(const ShapeDescriptor &shape)
| override (ExportFormat) bool ExportTexture(const TextureDescriptor &texture)
| override (ExportFormat) bool ExportSpaceWarp(const SpaceWarpDescriptor &space_warp)
| override (ExportFormat) bool EndExport(const StatsDescriptor &stats)
| override (CustomFormat) void About()
## Private Types
typedef deTArray< FlexPortTexture >::iterator | TexIterator
typedef deTArray< FlexPortMaterial >::iterator | MatIterator
typedef deTArray< FlexPortInstanceMesh >::iterator | MeshIterator
## Private Attributes
bool | m_EngineInited
bool | m_IsMotionFile
deWorldID | m_WorldID
deTArray< FlexPortTexture > | m_Textures
deTArray< FlexPortMaterial > | m_Materials
deTArray< FlexPortInstanceMesh > | m_Meshes
deTList< FlexPortInstanceMesh > | m_InstanceMeshes
IdeRenderTexture * | m_NullTexture
IdeSceneRoom * | m_SceneRoom
IdeSceneABT * | m_ABT

## Member Typedef Documentation

typedef deTArray<FlexPortMaterial>::iterator Destiny3DFormat::MatIterator`[private]`

typedef deTArray<FlexPortInstanceMesh>::iterator Destiny3DFormat::MeshIterator`[private]`

typedef deTArray<FlexPortTexture>::iterator Destiny3DFormat::TexIterator`[private]`

## Constructor & Destructor Documentation

Destiny3DFormat::Destiny3DFormat | ( |  | ) |

Destiny3DFormat::~Destiny3DFormat | ( |  | ) | `[virtual]`

## Member Function Documentation

Destiny3DFormat::override | ( | CustomFormat |  | ) |

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) | const

Destiny3DFormat::override | ( | ExportFormat |  | ) |

## Member Data Documentation

IdeSceneABT* Destiny3DFormat::m_ABT`[private]`

bool Destiny3DFormat::m_EngineInited`[private]`

deTList<FlexPortInstanceMesh> Destiny3DFormat::m_InstanceMeshes`[private]`

bool Destiny3DFormat::m_IsMotionFile`[private]`

deTArray<FlexPortMaterial> Destiny3DFormat::m_Materials`[private]`

deTArray<FlexPortInstanceMesh> Destiny3DFormat::m_Meshes`[private]`

IdeRenderTexture* Destiny3DFormat::m_NullTexture`[private]`

IdeSceneRoom* Destiny3DFormat::m_SceneRoom`[private]`

deTArray<FlexPortTexture> Destiny3DFormat::m_Textures`[private]`

deWorldID Destiny3DFormat::m_WorldID`[private]`

The documentation for this class was generated from the following files:

- Destiny3DExporter.hpp
- Destiny3DExporter.cpp